Quassel IRC - Bug #703

'Minimize to tray on close’ broken on Windows
05/23/2009 12:34 PM - seezer

Status: Resolved Start date: 05/23/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.4.3

Version: 0.5-pre 0S: Windows
Description

After enabling "Minimize to tray on close button”, the close button does exactly nothing.
Minimize on clicking the systray icon works.

Probably affects 0.4.2 too since i'd guess on 6f442c275cc5a2d5f1084ac2ceca5f1ffce1d024 causing this.

Version: v0.4.0 [+169] (git-a1b29a2)
http:/qit.quassel-irc.org/?p=quassel.git;a=commit;h=a1b29a21c4bf583074931533b7b04ab8b9c693ab
Protocol version: 9

Built: May 19 2009 11:10:38

Worked fine in

Version: v0.4.0 [+126] (git-6ca23dc)
Protocol version: 9

Built: Apr 5 2009 06:16:27

Associated revisions

Revision 419782afd8deeccb1fcd456fcdda2691aa11e406 - 05/26/2009 10:29 AM - Manuel Nickschas

More windowstate-related changes

e Properly save/restore state to/from session

e Fix minimize on close on Windows, fixes #703

¢ Various tweaks, hoping to solve the remaining issues with that
Please test if you had problems with window behavior before, and get back to me.
Revision 419782af - 05/26/2009 10:29 AM - Manuel Nickschas
More windowstate-related changes

e Properly save/restore state to/from session

e Fix minimize on close on Windows, fixes #703

¢ Various tweaks, hoping to solve the remaining issues with that
Please test if you had problems with window behavior before, and get back to me.
Revision 860dfc7ed65d6810cd759b1f92c2c18616c02393 - 06/08/2009 02:56 PM - Manuel Nickschas
More windowstate-related changes

e Properly save/restore state to/from session

e Fix minimize on close on Windows, fixes #703

¢ Various tweaks, hoping to solve the remaining issues with that
Please test if you had problems with window behavior before, and get back to me.
Revision 860dfc7e - 06/08/2009 02:56 PM - Manuel Nickschas
More windowstate-related changes

e Properly save/restore state to/from session

e Fix minimize on close on Windows, fixes #703
¢ Various tweaks, hoping to solve the remaining issues with that
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=a1b29a21c4bf583074931533b7b04ab8b9c693ab

Please test if you had problems with window behavior before, and get back to me.

History

#1 - 05/25/2009 11:39 PM - Sputnick
- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.4.3

#2 - 05/26/2009 04:48 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 419782afd8deeccb1fcd456fcdda2691aal1e406.
